Rudiments: inisax Class Reference

Rudiments

Public Member Functions | Protected Member Functions | List of all members
inisax Class Reference

Inherits sax.

Inherited by inidom.

## Public Member Functions
| inisax ()
virtual | ~inisax ()
Public Member Functions inherited from sax
| sax ()
virtual | ~sax ()
virtual bool | parseFile (const char *filename)
virtual bool | parseString (const char *string)
const char * | getError ()

## Protected Member Functions
virtual bool | whitespaceStart ()
virtual bool | whitespace (const char *w)
virtual bool | whitespaceEnd ()
virtual bool | semicolonCommentStart ()
virtual bool | semicolonComment (const char *c)
virtual bool | semicolonCommentEnd ()
virtual bool | poundCommentStart ()
virtual bool | poundComment (const char *c)
virtual bool | poundCommentEnd ()
virtual bool | sectionStart ()
virtual bool | section (const char *s)
virtual bool | sectionEnd ()
virtual bool | keyStart ()
virtual bool | key (const char *k)
virtual bool | keyEnd ()
virtual bool | valueStart ()
virtual bool | value (const char *v)
virtual bool | valueEnd ()

## Detailed Description

The inisax class is a base class for an SAX-style parser for data in .ini-file format. To use this class, you should create a class that inherits from it and implements its protected virtual methods.

## Constructor & Destructor Documentation

## ◆ inisax()

inisax::inisax | ( |  | ) |

Creates an instance of the inisax class.

## ◆ ~inisax()

virtual inisax::~inisax | ( |  | ) |
| virtual

Deletes this instance of the inisax class.

## Member Function Documentation

## ◆ key()

virtual bool inisax::key | ( | const char * | k | ) |
| protectedvirtual

Gets called when a key name is parsed.

Reimplemented in inidom.

## ◆ keyEnd()

virtual bool inisax::keyEnd | ( |  | ) |
| protectedvirtual

Gets called when the end of a key is encountered.

Reimplemented in inidom.

## ◆ keyStart()

virtual bool inisax::keyStart | ( |  | ) |
| protectedvirtual

Gets called when the start of a key is encountered.

Reimplemented in inidom.

## ◆ poundComment()

virtual bool inisax::poundComment | ( | const char * | c | ) |
| protectedvirtual

Gets called when a pound-delimited comment is parsed.

Reimplemented in inidom.

## ◆ poundCommentEnd()

virtual bool inisax::poundCommentEnd | ( |  | ) |
| protectedvirtual

Gets called when the end of a pound-delimited comment is encountered.

Reimplemented in inidom.

## ◆ poundCommentStart()

virtual bool inisax::poundCommentStart | ( |  | ) |
| protectedvirtual

Gets called when the start of a pound-delimited comment is encountered.

Reimplemented in inidom.

## ◆ section()

virtual bool inisax::section | ( | const char * | s | ) |
| protectedvirtual

Gets called when the name of a section is parsed.

Reimplemented in inidom.

## ◆ sectionEnd()

virtual bool inisax::sectionEnd | ( |  | ) |
| protectedvirtual

Gets called when the end of a section is encountered.

Reimplemented in inidom.

## ◆ sectionStart()

virtual bool inisax::sectionStart | ( |  | ) |
| protectedvirtual

Gets called when the start of a section is encountered.

Reimplemented in inidom.

## ◆ semicolonComment()

virtual bool inisax::semicolonComment | ( | const char * | c | ) |
| protectedvirtual

Gets called when a semicolon-delimited comment is parsed.

Reimplemented in inidom.

## ◆ semicolonCommentEnd()

virtual bool inisax::semicolonCommentEnd | ( |  | ) |
| protectedvirtual

Gets called when the end of a semicolon-delimited comment is encountered.

Reimplemented in inidom.

## ◆ semicolonCommentStart()

virtual bool inisax::semicolonCommentStart | ( |  | ) |
| protectedvirtual

Gets called when the start of a semicolon-delimited comment is encountered.

Reimplemented in inidom.

## ◆ value()

virtual bool inisax::value | ( | const char * | v | ) |
| protectedvirtual

Gets called when a value name is parsed.

Reimplemented in inidom.

## ◆ valueEnd()

virtual bool inisax::valueEnd | ( |  | ) |
| protectedvirtual

Gets called when the end of a value is encountered.

Reimplemented in inidom.

## ◆ valueStart()

virtual bool inisax::valueStart | ( |  | ) |
| protectedvirtual

Gets called when the start of a value is encountered.

Reimplemented in inidom.

## ◆ whitespace()

virtual bool inisax::whitespace | ( | const char * | w | ) |
| protectedvirtual

Gets called when whitespace (outside of a comment, section name, key, or value) is parsed.

Reimplemented in inidom.

## ◆ whitespaceEnd()

virtual bool inisax::whitespaceEnd | ( |  | ) |
| protectedvirtual

Gets called when the end of whitespace (outside of a comment, section name, key, or value) is encountered.

Reimplemented in inidom.

## ◆ whitespaceStart()

virtual bool inisax::whitespaceStart | ( |  | ) |
| protectedvirtual

Gets called when the start of whitespace (outside of a comment, section name, key, or value) is encountered.

Reimplemented in inidom.